summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorTravis Tilley <lv@gentoo.org>2004-09-03 14:30:28 +0000
committerTravis Tilley <lv@gentoo.org>2004-09-03 14:30:28 +0000
commitc14db59dc945e4614e9f9e768b4f114fc22ab7c1 (patch)
treeb8232ee39dab9382928db92ccb91889916947a06 /eclass
parentAdded to ~ppc (Manifest recommit) (Manifest recommit) (diff)
downloadgentoo-2-c14db59dc945e4614e9f9e768b4f114fc22ab7c1.tar.gz
gentoo-2-c14db59dc945e4614e9f9e768b4f114fc22ab7c1.tar.bz2
gentoo-2-c14db59dc945e4614e9f9e768b4f114fc22ab7c1.zip
$(get_libdir)-ize kde.eclass
Diffstat (limited to 'eclass')
-rw-r--r--eclass/kde.eclass10
1 files changed, 7 insertions, 3 deletions
diff --git a/eclass/kde.eclass b/eclass/kde.eclass
index 13f34b03691e..90de7b152fc6 100644
--- a/eclass/kde.eclass
+++ b/eclass/kde.eclass
@@ -1,13 +1,13 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.104 2004/08/26 15:57:31 caleb Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.105 2004/09/03 14:30:28 lv Exp $
#
# Author Dan Armak <danarmak@gentoo.org>
#
# Revisions Caleb Tennis <caleb@gentoo.org>
# The kde eclass is inherited by all kde-* eclasses. Few ebuilds inherit straight from here.
-inherit base kde-functions
+inherit base eutils kde-functions
ECLASS=kde
INHERITED="$INHERITED $ECLASS"
DESCRIPTION="Based on the $ECLASS eclass"
@@ -117,7 +117,11 @@ kde_src_compile() {
export KDEDIRS="${PREFIX}:${KDEDIR}"
cd $S
- ./configure ${myconf} || die "died running ./configure, $FUNCNAME:configure"
+ ./configure \
+ ${myconf} \
+ --libdir="\${exec_prefix}/$(get_libdir)" \
+ || die "died running ./configure, $FUNCNAME:configure"
+
# Seems ./configure add -O2 by default but hppa don't want that but we need -ffunction-sections
if [ "${ARCH}" = "hppa" ]
then